curl --request GET \
--url https://api.siftstack.com/api/v1/rules:list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/rules:list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/rules:list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rules": [
{
"ruleId": "<string>",
"assetId": "<string>",
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"conditions": [
{
"ruleConditionId": "<string>",
"ruleId": "<string>",
"expression": {
"singleChannelComparison": {
"channelComponent": "<string>",
"channelName": "<string>",
"comparator": "CONDITION_COMPARATOR_UNSPECIFIED",
"double": 123,
"string": "<string>",
"lastValue": {}
},
"calculatedChannel": {
"channelReferences": {},
"expression": "<string>",
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"calculatedChannelDependencies": [
{
"calculatedChannelVersionId": "<string>"
}
]
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"actions": [
{
"ruleActionId": "<string>",
"ruleConditionId": "<string>",
"actionType": "ACTION_KIND_UNSPECIFIED",
"configuration": {
"notification": {
"recipientUserIds": [
"<string>"
]
},
"annotation": {
"tagIds": [
"<string>"
],
"annotationType": "ANNOTATION_TYPE_UNSPECIFIED",
"assignedToUserId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"webhook": {
"webhookId": "<string>"
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"ruleActionVersionId": "<string>"
}
],
"ruleConditionVersionId": "<string>"
}
],
"ruleVersion": {
"ruleId": "<string>",
"ruleVersionId": "<string>",
"version": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"versionNotes": "<string>",
"generatedChangeMessage": "<string>",
"isArchived": true,
"deletedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z"
},
"assetConfiguration": {
"assetIds": [
"<string>"
],
"tagIds": [
"<string>"
]
},
"contextualChannels": {
"channels": [
{
"name": "<string>",
"component": "<string>",
"calculatedChannelVersionId": "<string>"
}
]
},
"isExternal": true,
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"currentVersionId": "<string>",
"clientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"isLiveEvaluationEnabled": true,
"folderIds": [
"<string>"
]
}
],
"nextPageToken": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ListRules
Retrieves a list of rules.
curl --request GET \
--url https://api.siftstack.com/api/v1/rules:list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/rules:list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/rules:list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rules": [
{
"ruleId": "<string>",
"assetId": "<string>",
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"conditions": [
{
"ruleConditionId": "<string>",
"ruleId": "<string>",
"expression": {
"singleChannelComparison": {
"channelComponent": "<string>",
"channelName": "<string>",
"comparator": "CONDITION_COMPARATOR_UNSPECIFIED",
"double": 123,
"string": "<string>",
"lastValue": {}
},
"calculatedChannel": {
"channelReferences": {},
"expression": "<string>",
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"calculatedChannelDependencies": [
{
"calculatedChannelVersionId": "<string>"
}
]
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"actions": [
{
"ruleActionId": "<string>",
"ruleConditionId": "<string>",
"actionType": "ACTION_KIND_UNSPECIFIED",
"configuration": {
"notification": {
"recipientUserIds": [
"<string>"
]
},
"annotation": {
"tagIds": [
"<string>"
],
"annotationType": "ANNOTATION_TYPE_UNSPECIFIED",
"assignedToUserId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"webhook": {
"webhookId": "<string>"
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"ruleActionVersionId": "<string>"
}
],
"ruleConditionVersionId": "<string>"
}
],
"ruleVersion": {
"ruleId": "<string>",
"ruleVersionId": "<string>",
"version": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"versionNotes": "<string>",
"generatedChangeMessage": "<string>",
"isArchived": true,
"deletedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z"
},
"assetConfiguration": {
"assetIds": [
"<string>"
],
"tagIds": [
"<string>"
]
},
"contextualChannels": {
"channels": [
{
"name": "<string>",
"component": "<string>",
"calculatedChannelVersionId": "<string>"
}
]
},
"isExternal": true,
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"currentVersionId": "<string>",
"clientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"isLiveEvaluationEnabled": true,
"folderIds": [
"<string>"
]
}
],
"nextPageToken": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of Rules to return. The service may return fewer than this value. If unspecified, at most 50 Rules will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.
A page token, received from a previous ListRules call.
Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to ListRules must match
the call that provided the page token.
A Common Expression Language (CEL) filter string.
Available fields to filter by are rule_id, client_key, name, description, is_external, asset_id, tag_id,
created_date, created_by_user_id, metadata, modified_date, modified_by_user_id, deleted_date, is_archived, archived_date, and is_live_evaluation_enabled.
Metadata can be used in filters by using metadata.{metadata_key_name} as the field name.
Folder membership is filterable via the folders and activeFolders fields. Both contain the ids of the folders
the rule belongs to; activeFolders excludes archived folders. Use "<folder_id>" in folders to return rules in
the given folder, and size(activeFolders) == 0 to return uncategorized rules (rules whose only memberships are
in archived folders count as uncategorized).
For further information about how to use CELs, please refer to this guide.
Optional.
How to order the retrieved Rules. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...".
Available fields to order_by are created_date and modified_date.
If left empty, items are ordered by created_date in descending order (newest-first).
Was this page helpful?